Summary:    IBM Cell Data Communication and Synchronization (DaCS) trace-enabled Libraries
Name:       dacs-trace
Version:    4.0.0
Release:    2
Group:      Cell Development Libraries
Vendor:     IBM Corporation
Distribution:	IBM SDK for Multicore Acceleration
URL:	    http://www.ibm.com
License:    BSD
Source:     dacs.tgz
Buildroot:  %{_tmppath}/%{BUILDsubdir}

# we need the symbols, so don't strip
%define __strip /bin/true
%define __objdump /bin/true

# don't ship a debug rpm
%define debug_package %{nil}

%define BUILDsubdir      %{name}-%{version}-%{release}

# The following keeps RPM from segfaulting when it has links in the install list (grr...)
%define _use_internal_dependency_generator     0

%description
The Cell SDK DaCS package contains Data Communication and Synchronization
(DaCS) trace-enabled libraries

%package -n dacs-trace-devel
Summary: IBM Cell Data Communication and Synchronization (DaCS) trace-enabled libraries
Group: Cell Development Libraries
Requires: dacs-trace = %{version}
Requires: dacs-devel = %{version}
%ifarch ppc
Provides: /usr/spu/lib/dacs/trace/libdacs.a
%else # ppc64
Requires: /usr/spu/lib/dacs/trace/libdacs.a
%endif

%description -n dacs-trace-devel
The Cell SDK DaCS package contains Data Communication and Synchronization
(DaCS) trace-enabled libraries

%prep
%setup -q -c -n %{BUILDsubdir}

%build
export DACS_ON_CELL=1
rm -rf $RPM_BUILD_ROOT
cd cell
# make the trace-enabled libraries
%ifarch ppc
make 32BIT=1 TRACE=1 clean && make 32BIT=1 TRACE=1
%else
make TRACE=1 clean && make TRACE=1
%endif

%install
%ifarch ppc
mkdir -p $RPM_BUILD_ROOT/usr/lib/dacs/trace
mkdir -p $RPM_BUILD_ROOT/usr/spu/lib/dacs/trace
%else # ppc64
mkdir -p $RPM_BUILD_ROOT/usr/lib64/dacs/trace
%endif
mkdir -p $RPM_BUILD_ROOT/usr/share/pdt/config

# Copy the libraries to their final resting place
%ifarch ppc
cp -r cell/install/{spu,lib} $RPM_BUILD_ROOT/usr
%else # ppc64
cp -r cell/install/lib64 $RPM_BUILD_ROOT/usr
%endif
cp common/pdt_dacs.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs2.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs_spu.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs_spu2.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs_perf.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs_config_cell.xml $RPM_BUILD_ROOT/usr/share/pdt/config

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%ifarch ppc
/usr/lib/dacs/trace/libdacs.so\.*
%else # ppc64
/usr/lib64/dacs/trace/libdacs.so\.*
%endif
/usr/share/pdt/config/pdt_dacs.xml
/usr/share/pdt/config/pdt_dacs2.xml
/usr/share/pdt/config/pdt_dacs_spu.xml
/usr/share/pdt/config/pdt_dacs_spu2.xml
/usr/share/pdt/config/pdt_dacs_perf.xml
%config /usr/share/pdt/config/pdt_dacs_config_cell.xml

%files -n dacs-trace-devel
%defattr(-,root,root)
%ifarch ppc
/usr/lib/dacs/trace/libdacs.so
/usr/lib/dacs/trace/libdacs.a
/usr/spu/lib/dacs/trace/libdacs.a
%else # ppc64
/usr/lib64/dacs/trace/libdacs.so
/usr/lib64/dacs/trace/libdacs.a
%endif
